<script setup lang="ts">
import { FaTwitter, FaLinkedin, FaYoutube, Facebook } from 'slippers-ui/icons';

// Define props
defineProps<{
  twitter?: string;
  facebook?: string;
  youtube?: string;
  linkedin?: string;
}>();
</script>

<template>
  <div>
    <ul class="social__links">
      <li v-if="twitter" class="social__links--item">
        <a :href="twitter" data-ga-name="twitter" data-ga-location="footer" aria-label="Twitter">
          <SlpIcon :icon="FaTwitter" class="social__links--icon" />
        </a>
      </li>
      <li v-if="facebook" class="social__links--item">
        <a :href="facebook" data-ga-name="facebook" data-ga-location="footer" aria-label="Facebook">
          <SlpIcon :icon="Facebook" class="social__links--icon" />
        </a>
      </li>
      <li v-if="youtube" class="social__links--item">
        <a :href="youtube" data-ga-name="youtube" data-ga-location="footer" aria-label="YouTube">
          <SlpIcon :icon="FaYoutube" class="social__links--icon" />
        </a>
      </li>
      <li v-if="linkedin" class="social__links--item">
        <a :href="linkedin" data-ga-name="linkedin" data-ga-location="footer" aria-label="LinkedIn">
          <SlpIcon :icon="FaLinkedin" class="social__links--icon" />
        </a>
      </li>
    </ul>
  </div>
</template>

<style lang="scss" scoped>
.social__links {
  display: flex;
  align-items: center;
  margin-top: $spacing-32;
  width: 100%;
  gap: 15px;
  @media (min-width: 829px) {
    margin-top: 0;
    width: inherit;
  }
}
.social__links--icon {
  width: 24px;
  height: auto;
  color: $color-text-50;
  transition: 0.3s;

  * {
    fill: currentColor;
  }

  &:hover {
    color: $color-accent-400;
  }
}
</style>
